QGIS Application - Bug report #16138
Error executing algorithm Merge lines
2017-01-31 12:21 PM - Pieter Brusselman

Status: Closed
Priority: High
Assignee:

Category: Unknown

Affected QGIS version:2.18.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 24050

Description

When merging layers | get following message:

Error executing algorithm Merge lines{} field in layer {} has different data type than in other layers.

What am | doing:

| have some line--layers and some polygon-layers. | buffer the line-layers with a fixed distance buffer so | get all polygon-layers. Each

polygon-layer is converted to lines. When merging all converted layers | get that message.

| tried to eliminate the layers who are responsible for the error. | found two. One was originaly a line-layer that | buffered, the other was

originaly a polygon-layer. So | can't figure out if the bug is due to the buffering or not...

History

#1 - 2017-01-31 12:29 PM - Pieter Brusselman

Apparently, if i merge all those layers 'by hand' outside a model, it works... Very, very strange behaviour

#2 - 2017-02-01 05:57 AM - Pieter Brusselman
- Status changed from Open to Closed

can be closed | found what was wrong: http:/gis.stackexchange.com/questions/226640/qgis-merge-layers-error-on-data-type

#3 - 2017-09-22 09:54 AM - Jiirgen Fischer
- Category set to Unknown
